# 🔥 Book Metadata Tool ⚒️

Herramienta para metadatos en [JSON Lines]

Tool for metadata in [JSON Lines]

# Uso / Usage

## Analiza / Analize

Analiza llaves y valores de JSON lines.

Analize keys and values from JSON lines.

    $ colligere analize metadata.jsonl

    [0:00:00][0%][6i][57k] Fragmina verborum Titivillus colligit horum
    ┌────────────────────────────────────────────────────────────┐
    │                        ▄▄▄▄▄▄▄▄▄▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀│
    │          ▗▞▀▀▀▀▀▀▀▀▀▀▀▀▘                                   │
    │         ▗▘                                                 │ 50k
    │        ▞▘                                                  │
    │      ▗▞                                                    │
    │     ▗▘                                                     │ 40k
    │    ▞▘                                                      │
    │  ▗▞                                                        │
    │ ▗▘                                                         │ 30k
    │▞▘                                                          │
    └────────────────────────────────────────────────────────────┘
    1i          2i          3i         4i          5i          6i

    $ colligere analize -k metadata.record.catalogingLanguage metadata.jsonl

    ⏳🍺💃🕺🎉⏳

    $ cat res.metadata.record.catalogingLanguage.csv | head
    key,len,freq
    eng,664,0.35622
    und,99,0.05311
    fre,90,0.04828
    spa,65,0.03487
    ger,133,0.07135
    ara,10,0.00536
    zxx,23,0.01234
    heb,6,0.00322
    jpn,20,0.01073

# Desarrollo / Development

Configuración inicial / Initial setup:

    virtualenv .venv
    source .venv/bin/activate
    pip install -r requirements.txt

Pruebas / Tests:

    make test

Análisis y formateador / Lint:

    make lint

Empaquetamiento / Packaging:

    make package

  [JSON Lines]: https://jsonlines.org/
